function out=quartile(x,n)
%% By L_DelOff
% функция ищет квартили по экселевскому методу
% x - входная выборка, n = [1 2 3] - номер квартиля
%% 1. Делаю вариационный ряд
y=x;
for i=1:length(x)
    for j=1:length(x)-1
        if y(j)>y(j+1)
            temp=y(j);
            y(j)=y(j+1);
            y(j+1)=temp;
        end
    end
end
%% Ищем квартиль
if n==2
    out=median(y);
end
if n==1
    out=median(y(1:fix(length(y)/2)+1));
end
if n==3
    out=median(y(fix(length(y)/2)+1:end));
end
end